<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%
    response.setHeader("Pragma", "no-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires", 0);
%>

<%@taglib prefix="decorator" uri="http://www.opensymphony.com/sitemesh/decorator" %>
<%@taglib prefix="page" uri="http://www.opensymphony.com/sitemesh/page" %>
<%@taglib prefix="s" uri="/struts-tags" %>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <title><decorator:title default="olis"/></title>
    <link href="<s:url value='/styles/main.css' encode='false' includeParams='none'/>" rel="stylesheet" type="text/css" media="all"/>

    <decorator:head/>
</head>

<body id="page-home" background="<s:url value='/images/background.jpg' encode='false' includeParams='none'/>" bottommargin="0" leftmargin="0" marginheight="0" marginwidth="0" rightmargin="0" topmargin="0">

<center>
	<table width="765" height="100%" cellpadding="0" cellspacing="0" border="0" background="<s:url value='/images/mainbackground.jpg' encode='false' includeParams='none'/>">
	<tr valign="top">
		<td>
			<table width="764" height="97" cellpadding="0" cellspacing="0" border="0">
			<tr valign="top">
				<td width="248"><img src="<s:url value='/images/olislogo.jpg' encode='false' includeParams='none'/>" width="321" height="97" border="0" alt=""></td>
				<td width="100%" background="<s:url value='/images/toplogobg.jpg' encode='false' includeParams='none'/>"><img src="<s:url value='/images/toplogobg.jpg' encode='false' includeParams='none'/>" width="22" height="97" border="0" alt=""></td>
			</tr>
			</table>
			<table width="764" height="42" cellpadding="0" cellspacing="0" border="0">
			<tr valign="top">
				<td width="169"><img src="<s:url value='/images/left1.jpg' encode='false' includeParams='none'/>" width="169" height="42" border="0" alt=""></td>
				<td width="100%" background="<s:url value='/images/left1bg.jpg' encode='false' includeParams='none'/>"><img src="<s:url value='/images/left1bg.jpg' encode='false' includeParams='none'/>" width="20" height="42" border="0" alt=""></td>
			</tr>
			</table>
			<table width="764" cellpadding="0" cellspacing="0" border="0">
			<tr valign="top">
				<td width="150">
				<!-- menu below, copy and paste the menudivider.jpg code as necessary -->
				<!-- the &nbsp; is code for a one letter space -->
				<s:if test="#session.user == null">
				<img src="<s:url value='/images/menudivider.jpg' encode='false' includeParams='none'/>" width="150" height="6" border="0" alt=""><BR>
				&nbsp; <s:url id="url" action="Welcome" namespace="/" includeParams='none' /><s:a href="%{url}"><s:text name="message.welcome" /></s:a><BR>
				<img src="<s:url value='/images/menudivider.jpg' encode='false' includeParams='none'/>" width="150" height="6" border="0" alt=""><BR>
				&nbsp; <s:url id="url" action="Login_input" namespace="/" includeParams='none' /><s:a href="%{url}"><s:text name="message.login" /></s:a><BR>
				<img src="<s:url value='/images/menudivider.jpg' encode='false' includeParams='none'/>" width="150" height="6" border="0" alt=""><BR>
				&nbsp; <s:url id="url" action="UserManagement_input" namespace="/" includeParams='none' /><s:a href="%{url}"><s:text name="message.create.account" /></s:a><BR>
				</s:if>
				<s:else>
				<img src="<s:url value='/images/menudivider.jpg' encode='false' includeParams='none'/>" width="150" height="6" border="0" alt=""><BR>
				&nbsp; <s:url id="url" action="Home" namespace="/" includeParams='none' /><s:a href="%{url}"><s:text name="message.home" /></s:a><BR>
				
				<s:if test="#session.user.services != null && #session.user.services.size > 0">
					<s:iterator id="service" value="#session.user.services">
							<s:iterator id="menuOption" value="#service.serviceType.serviceMenuOptions">
								<s:url id="url" action="%{#menuOption.action}" namespace="%{'/' + #service.serviceType.serviceNameSpace}" />
								<img src="<s:url value='/images/menudivider.jpg' encode='false' includeParams='none'/>" width="150" height="6" border="0" alt=""><BR>
								&nbsp; <s:a href="%{url}"><s:text name="%{#menuOption.label}" /></s:a><BR>
							</s:iterator>
					</s:iterator>
				</s:if>

				<img src="<s:url value='/images/menudivider.jpg' encode='false' includeParams='none'/>" width="150" height="6" border="0" alt=""><BR>
				&nbsp; <s:url id="url" action="UserManagement_input" namespace="/" includeParams='none' /><s:a href="%{url}"><s:text name="message.account" /></s:a><BR>
				<img src="<s:url value='/images/menudivider.jpg' encode='false' includeParams='none'/>" width="150" height="6" border="0" alt=""><BR>
				&nbsp; <s:url id="url" action="Logout" namespace="/"  includeParams='none'/><s:a href="%{url}"><s:text name="message.logout" /></s:a><BR>
				</s:else>
				<img src="<s:url value='/images/menudivider.jpg' encode='false' includeParams='none'/>" width="150" height="6" border="0" alt=""><BR>
				&nbsp; <s:url id="url" action="Services" namespace="/" includeParams='none' /><s:a href="%{url}"><s:text name="message.services" /></s:a><BR>
				<img src="<s:url value='/images/menudivider.jpg' encode='false' includeParams='none'/>" width="150" height="6" border="0" alt=""><BR>
				&nbsp; <a href="mailto:ingridnunes@gmail.com"><s:text name="message.contact.us" /></a><BR>
				<img src="<s:url value='/images/menudivider.jpg' encode='false' includeParams='none'/>" width="150" height="6" border="0" alt=""><BR>
				<!-- end menu -->
				</td>
				<td width="10">&nbsp;</td>
				<td width="744">
					<!-- begin content area -->
					<decorator:body/>
					<!-- end content area -->
					<br><br><br><br><br>
					<br><br><br><br><br>
					<center>Web site and all contents &copy; Copyright 2008. All rights reserved.</center>
					<center>Powered by <a href="mailto:ingridnunes@gmx.net">Ingrid Nunes</a></center>
				</td>
				<td width="10">&nbsp;</td>
			</tr>
			</table>
		</td>
	</tr>
	</table>
</center>

</body>
</html>
