<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<s:set name="dateFormat" value="%{'dd/MM/yyyy'}" />
<s:set name="timeFormat" value="%{'HH:mm'}" />

<s:if test="#session.user != null">
	<s:set name="dateFormat" value="%{#session.user.dateFormat.format}" />
	<s:set name="timeFormat" value="%{#session.user.timeFormat.format}" />
</s:if>

<s:if test="eventDataManager.editable == true">

	<s:select key="eventType" name="eventDataManager.eventType"
		listValue="%{getText(getLabel())}" headerKey=""
		list="eventDataManager.eventTypes" />

	<s:select key="areasOfInterest" name="eventDataManager.areasOfInterest"
		listKey="id" listValue="label"
		list="eventDataManager.areaOfInterestList" multiple="true" size="5" />

	<s:iterator value="eventDataManager.deadlineList" id="deadline"
		status="deadlineStatus">

		<s:if
			test="(eventDataManager.deadlines[#deadlineStatus.count - 1] == null) || (eventDataManager.deadlines[#deadlineStatus.count - 1] == '')">
			<s:datetimepicker label="%{getText(label)}"
				name="eventDataManager.deadlines[%{#deadlineStatus.count - 1}]"
				displayFormat="%{#dateFormat}" />
		</s:if>
		<s:else>
			<s:datetimepicker label="%{getText(label)}"
				name="eventDataManager.deadlines[%{#deadlineStatus.count - 1}]"
				displayFormat="%{#dateFormat}"
				value="%{eventDataManager.deadlines[#deadlineStatus.count - 1]}" />
		</s:else>

	</s:iterator>

</s:if>
<s:else>

	<s:hidden name="eventDataManager.eventType.id" />
	<s:textfield key="eventType" name="eventDataManager.eventType.label"
		readonly="true" />

	<s:select key="areasOfInterest" name="eventDataManager.areasOfInterest"
		listKey="id" listValue="label"
		list="eventDataManager.areaOfInterestList" multiple="true" size="5"
		disabled="true" />

	<s:iterator value="eventDataManager.deadlineList" id="deadline"
		status="deadlineStatus">
		<s:textfield label="%{getText(label)}"
			name="eventDataManager.deadlines[%{#deadlineStatus.count - 1}]"
			readonly="true" />
	</s:iterator>

</s:else>
