<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<html>
<head>

<s:head theme="xhtml" />

<script type="text/javascript">
var city_url =  '<s:url action="CalendarEvent_city"/>';
</script>

</head>

<body>

<s:if test="task == 'Create'">
	<h1><s:text name="index.create.event" /></h1>
</s:if>
<s:else>
	<h1><s:text name="index.update.event" /></h1>
</s:else>

<s:actionerror />

<s:form action="CalendarEvent_save" namespace="/calendar">
	<s:token />
	<s:hidden name="task" />
	<s:hidden name="id" />

	<s:include value="EventInput.jsp" />
	
	<s:if test="eventDataManager.eventPage != null">
		<s:include value="%{eventDataManager.eventPage}.jsp" />
	</s:if>

	<s:checkbox key="available" name="available" />
	<s:select key="participants" name="participants" listKey="id"
		listValue="fullName" list="users" multiple="true" size="5" />

	<s:submit key="button.save" action="CalendarEvent_save" />
	<s:if test="task != 'Create'">
		<s:submit key="button.delete" action="CalendarEvent_delete" />
	</s:if>

</s:form>

</body>
</html>
