<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<s:set name="dateFormat" value="%{'dd/MM/yyyy'}" />
<s:set name="timeFormat" value="%{'HH:mm'}" />

<s:if test="#session.user != null">
	<s:set name="dateFormat" value="%{#session.user.dateFormat.format}" />
	<s:set name="timeFormat" value="%{#session.user.timeFormat.format}" />
</s:if>

<s:text name="message.conflict.event" /> (<a href="mailto:<s:property value="conflict.email" />>"><s:property value="conflict.fullName" /></a>)
<br>
<s:url id="url" action="CalendarEvent_input"
	namespace="/calendar">
	<s:param name="id" value="#notification.calendarEvent.id" />
</s:url>
<s:text name="subject" />: 
<s:a href="%{url}">
	<s:property value="calendarEvent.event.subject" />
</s:a>
<br>
<s:if test="#notification.calendarEvent.event.allDay">
	<s:date name="calendarEvent.event.start" format="%{#dateFormat + ' ' + #timeFormat}" />
	&nbsp;-&nbsp;
	<s:date name="calendarEvent.event.end" format="%{#dateFormat + ' ' + #timeFormat}" />
</s:if>
<s:else>
	<s:date name="calendarEvent.event.start" format="%{#dateFormat}" />
	&nbsp;-&nbsp;
	<s:date name="calendarEvent.event.end" format="%{#dateFormat}" />
</s:else>
<br>
<s:text name="message.suggested.time" />:
<s:date name="suggestedStart" format="%{#dateFormat + ' ' + #timeFormat}" />
&nbsp;-&nbsp;
<s:date name="suggestedEnd" format="%{#dateFormat + ' ' + #timeFormat}" />
<br>
<s:property value="event.city.name" /> - <s:property value="event.city.country.name" />
