<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<s:set name="dateFormat" value="%{'dd/MM/yyyy'}" />
<s:set name="timeFormat" value="%{'HH:mm'}" />

<s:if test="#session.user != null">
	<s:set name="dateFormat" value="%{#session.user.dateFormat.format}" />
	<s:set name="timeFormat" value="%{#session.user.timeFormat.format}" />
</s:if>

<a href="mailto:<s:property value="event.owner.email" />>"><s:property value="event.owner.fullName" /></a> <s:text name="message.announced.event" />
<br>
<s:url id="url" action="Event_input" namespace="/eventsannouncement">
	<s:param name="eventDataManager.eventId" value="#notification.event.id" />
</s:url>
<s:text name="subject" />: 
<s:a href="%{url}">
	<s:property value="event.subject" />
</s:a>
<br>
<s:text name="description" />: <s:property value="event.description" />
<br>
<s:if test="event.frequency.toString().equals('ONCE')">
	<s:if test="#notification.event.allDay">
		<s:date name="event.start" format="%{#dateFormat + ' ' + #timeFormat}" />
		&nbsp;-&nbsp;
		<s:date name="event.end" format="%{#dateFormat + ' ' + #timeFormat}" />
	</s:if>
	<s:else>
		<s:date name="event.start" format="%{#dateFormat}" />
		&nbsp;-&nbsp;
		<s:date name="event.end" format="%{#dateFormat}" />
	</s:else>
</s:if>
<s:else>
	<s:date name="event.start" format="%{#dateFormat}" />
	&nbsp;-&nbsp;
	<s:date name="event.end" format="%{#dateFormat}" />
	<br>
	<s:text name="%{event.frequency.label}" />:
	<s:if test="event.allDay"> 
		<s:text name="event.allDay" />
	</s:if>
	<s:else>
		<s:date name="event.startTime" format="%{#timeFormat}" /> - <s:date name="event.endTime" format="%{#timeFormat}" />
	</s:else>
</s:else>
<br>
<s:property value="event.city.name" /> - <s:property value="event.city.country.name" />
