<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<html>
<head>

<s:head theme="xhtml" />

<script type="text/javascript">
function listCities() {
	document.Weather.action = '<s:url action="Weather_city"/>';
	document.Weather.submit();
	
}
</script>

</head>

<body>

<h1><s:text name="index.weather" /></h1>

<s:actionerror />

<s:form action="Weather" namespace="/weather">
	<s:select key="country" name="country.code" listKey="code"
		listValue="name" headerValue="%{getText('message.select')}"
		headerKey="1" list="countries" onchange="listCities();" />

	<s:select key="city" name="city.id" listKey="id" listValue="name"
		headerValue="%{getText('message.select')}" headerKey="1" list="cities" />

	<s:submit key="button.submit" action="Weather" />

</s:form>

<s:if test="weather != null">
<p>
	<span style="font-size : 15px;font-weight: bold;"><s:text name="message.right.now.for" /></span><br>
	<span style="font-size : 15px;"><s:property value="weather.location.name" /></span>
</p>

<table>
	<tr>
		<td>
			<table>
				<tr>
					<td style="text-align: center; vertical-align: middle;" width="100px">
						<img src="<s:url value='/images/weather/%{weather.currentConditions.icon}.png' encode='false' includeParams='none'/>" border="0" alt=""><br><s:property value="weather.currentConditions.description" />						
					</td>
					<td style="text-align: center; vertical-align: middle;" width="80px">
						<span style="font-size : 16px;font-weight: bold;"><s:property value="weather.currentConditions.temperature" /></span><sup>o</sup><s:property value="weather.head.degreeUnit.symbol" /><br>
						<s:text name="message.feels.like" /><br>
						<s:property value="weather.currentConditions.feelLikeTemperature" /><sup>o</sup><s:property value="weather.head.degreeUnit.symbol" />
					</td>
				</tr>
			</table>
		</td>
		<td>
			<table>
				<tr>
					<td width="100px"><s:text name="message.uv.index" />:</td>
					<td width="100px"><s:property value="weather.currentConditions.uv.index" />&nbsp;<s:property value="weather.currentConditions.uv.description" /></td>
				</tr>
				<tr>
					<td><s:text name="message.wind" />:</td>
					<td><s:property value="weather.currentConditions.wind.speed" /><s:property value="weather.head.speedUnit" />&nbsp;<s:property value="weather.currentConditions.wind.directionPhrase" /></td>
				</tr>
				<tr>
					<td><s:text name="message.humidity" />:</td>
					<td><s:property value="weather.currentConditions.humidity" />%</td>
				</tr>
				<tr>
					<td><s:text name="message.pressure" />:</td>
					<td><s:property value="weather.currentConditions.barometric.pressure" /><s:property value="weather.head.pressureUnit" /></td>
				</tr>
				<tr>
					<td><s:text name="message.dew.point" />:</td>
					<td><s:property value="weather.currentConditions.dewPoint" /><sup>o</sup><s:property value="weather.head.degreeUnit.symbol" /></td>
				</tr>
				<tr>
					<td><s:text name="message.visibility" />:</td>
					<td><s:property value="weather.currentConditions.visibility" /><s:property value="weather.head.distanceUnit" /></td>
				</tr>
			</table>
		</td>
	</tr>	
</table>

<p>
	<span style="font-size : 15px;font-weight: bold;"><s:text name="message.five.days.forecast.for" /></span><br>
	<span style="font-size : 15px;"><s:property value="weather.location.name" /></span>
</p>

<table border="1">
	<tr>
		<th colspan="2" style="text-align: center; vertical-align: middle;"><s:text name="message.forecast.conditions" /></th>
		<th style="text-align: center; vertical-align: middle;"><b><s:text name="message.high" /> <sup>o</sup><s:property value="weather.head.degreeUnit.symbol" /></b><br><span style="font-weight: normal;"><s:text name="message.low" /> <sup>o</sup><s:property value="weather.head.degreeUnit.symbol" /></span></th>
		<th style="text-align: center; vertical-align: middle;"><s:text name="message.precipitation.chance" /></th>
		<th style="text-align: center; vertical-align: middle;"><s:text name="message.wind" /></th>
	</tr>
	<s:iterator value="weather.dayForecastList" id="dayForecast" status="i">
		<tr>
			<s:if test="#dayForecast.dayNumber == 0">
				<td style="text-align: left; vertical-align: middle;" width="80px">
					<span style="font-size : 13px;font-weight: bold; color: blue;"><s:text name="message.today" /></span><br>
					<span style="font-size : 13px;font-weight: bold;"><s:date name="#dayForecast.dayOfMonth" format="MMM dd"/></span>
				</td>
				<td style="text-align: center; vertical-align: middle;" width="100px">
					<img src="<s:url value='/images/weather/%{#dayForecast.night.icon}.png' encode='false' includeParams='none'/>" border="0" alt=""><br><s:property value="#dayForecast.night.description" />						
				</td>
				<td style="text-align: center; vertical-align: middle;" width="80px">
					<span style="font-size : 16px;font-weight: bold;"><s:property value="#dayForecast.highTemperature" /><sup>o</sup></span><br>
					<s:property value="#dayForecast.lowTemperature" /><sup>o</sup>
				</td>
				<td style="text-align: center; vertical-align: middle;" width="80px">
					<s:property value="#dayForecast.night.chanceOfPrecipitation" />%
				</td>
				<td style="text-align: center; vertical-align: middle;" width="80px">
					<s:property value="#dayForecast.night.wind.speed" /><s:property value="weather.head.speedUnit" />&nbsp;<s:property value="#dayForecast.night.wind.directionPhrase" />
				</td>
			</s:if>
			<s:else>
				<td style="text-align: left; vertical-align: middle;">
					<span style="font-size : 13px;font-weight: bold; color: blue"><s:date name="#dayForecast.dayOfMonth" format="E"/></span><br>
					<span style="font-size : 13px;font-weight: bold;"><s:date name="#dayForecast.dayOfMonth" format="MMM dd"/></span>
				</td>
				<td style="text-align: center; vertical-align: middle;">
					<img src="<s:url value='/images/weather/%{#dayForecast.day.icon}.png' encode='false' includeParams='none'/>" border="0" alt=""><br><s:property value="#dayForecast.day.description" />						
				</td>
				<td style="text-align: center; vertical-align: middle;">
					<span style="font-size : 16px;font-weight: bold;"><s:property value="#dayForecast.highTemperature" /><sup>o</sup></span><br>
					<s:property value="#dayForecast.lowTemperature" /><sup>o</sup>
				</td>
				<td style="text-align: center; vertical-align: middle;">
					<s:property value="#dayForecast.day.chanceOfPrecipitation" />%
				</td>
				<td style="text-align: center; vertical-align: middle;">
					<s:property value="#dayForecast.day.wind.speed" /><s:property value="weather.head.speedUnit" />&nbsp;<s:property value="#dayForecast.day.wind.directionPhrase" />
				</td>
			</s:else>
		</tr>
	</s:iterator>
	
</table>
	
</s:if>

</body>
</html>
