/*
 * Created on Jun 9, 2008
 */
package br.pucrio.olis.agent.agentslayerfacade;

import jade.core.AID;

import java.io.Serializable;

/**
 * @author Ingrid Nunes
 * @version 1.0
 * 
 */
public class AgentRequest implements Serializable {

	/**
	 * <p>
	 * UID generated.
	 * </p>
	 */
	private static final long serialVersionUID = -8371389242410228477L;

	private AID agent;
	private Object content;
	private String ontology;
	private int performative;
	private String protocol;
	
	public AgentRequest() {
		
	}

	public AID getAgent() {
		return agent;
	}

	public Object getContent() {
		return content;
	}

	public String getOntology() {
		return ontology;
	}

	public int getPerformative() {
		return performative;
	}

	public String getProtocol() {
		return protocol;
	}

	public void setAgent(AID agent) {
		this.agent = agent;
	}

	public void setContent(Object content) {
		this.content = content;
	}

	public void setOntology(String ontology) {
		this.ontology = ontology;
	}

	public void setPerformative(int performative) {
		this.performative = performative;
	}

	public void setProtocol(String protocol) {
		this.protocol = protocol;
	}

}
