/*
 * Created on 19/06/2008
 */
package br.pucrio.olis.agent.agentslayerfacade;

/**
 * <p>
 * This interface defines an asynchronous handler of agent requests.
 * </p>
 * 
 * @author ingridnunes
 * @version 1.0
 * 
 */
public interface AsyncHandler {

	/**
	 * <p>
	 * Handles an agent response. This is the callback function of agent
	 * requests.
	 * </p>
	 * 
	 * @param response
	 *            the agent response.
	 */
	public void handleResponse(AgentResponse response);

}
