/*
 * Created on Jun 22, 2008
 */
package br.pucrio.olis.agent.scheduler;

import jade.content.Predicate;

import java.io.Serializable;
import java.util.Date;

/**
 * @author Ingrid Nunes
 * 
 */
public class AlternativeTimeQuery implements Serializable, Predicate {

	private static final long serialVersionUID = -6237472539025921604L;

	private Long duration;
	private Date start;

	public AlternativeTimeQuery() {
	}

	public AlternativeTimeQuery(Date start, Long duration) {
		this.start = start;
		this.duration = duration;
	}

	public Long getDuration() {
		return duration;
	}

	public Date getStart() {
		return start;
	}

	public void setDuration(Long duration) {
		this.duration = duration;
	}

	public void setStart(Date start) {
		this.start = start;
	}

}
