/*
 * Created on Jun 22, 2008
 */
package br.pucrio.olis.agent.scheduler;

import jade.content.Predicate;

import java.io.Serializable;
import java.util.Date;

/**
 * @author Ingrid Nunes
 *
 */
public class AvailabilityQuery implements Serializable, Predicate {

	private static final long serialVersionUID = -6237472539025921604L;
	
	private Date end;
	private Date start;

	public AvailabilityQuery() {
	}

	public AvailabilityQuery(Date start, Date end) {
		this.start = start;
		this.end = end;
	}

	public Date getEnd() {
		return end;
	}

	public Date getStart() {
		return start;
	}

	public void setEnd(Date end) {
		this.end = end;
	}

	public void setStart(Date start) {
		this.start = start;
	}

}
