/*
 * Created on Jun 21, 2008
 */
package br.pucrio.olis.agent.weather;

import jade.content.Predicate;

import java.io.Serializable;

import br.pucrio.olis.domain.weather.DayForecast;
import br.pucrio.olis.domain.weather.Head;
import br.pucrio.olis.domain.weather.Location;

/**
 * @author Ingrid Nunes
 * 
 */
public class ForecastResponse implements Serializable, Predicate {

	private static final long serialVersionUID = -626912621489136283L;

	private DayForecast dayForecast;
	private Head head;
	private Location location;

	public ForecastResponse() {
	}

	public DayForecast getDayForecast() {
		return dayForecast;
	}

	public Head getHead() {
		return head;
	}

	public Location getLocation() {
		return location;
	}

	public void setDayForecast(DayForecast dayForecast) {
		this.dayForecast = dayForecast;
	}

	public void setHead(Head head) {
		this.head = head;
	}

	public void setLocation(Location location) {
		this.location = location;
	}

}
