/*
 * Created on May 25, 2008
 */
package br.pucrio.olis.data.dao.factory;

import br.pucrio.olis.domain.UserPreferences;

/**
 * <p>
 * This class instantiates no user preferences.
 * </p>
 * 
 * @author Ingrid Nunes
 * @version 1.0
 * 
 */
public class NoPreferencesFactory implements
		UserPreferencesAbstractFactory {

	/*
	 * (non-Javadoc)
	 * 
	 * @see br.pucrio.olis.data.dao.factory.UserPreferencesAbstractFactory#createUserPreferences()
	 */
	@Override
	public UserPreferences createUserPreferences() {
		return null;
	}

}
