/*
 * Created on May 25, 2008
 */
package br.pucrio.olis.data.hibernate.dao;

import br.pucrio.olis.data.dao.ActivityTypeDAO;
import br.pucrio.olis.domain.ActivityType;

/**
 * <p>
 * This class is the hibernate implementation of the activity type data access
 * object.
 * </p>
 * 
 * @author Ingrid Nunes
 * @version 1.0
 * 
 */
public class ActivityTypeDAOHibernate extends GenericDAOHibernate<ActivityType>
		implements ActivityTypeDAO {

	/*
	 * (non-Javadoc)
	 * 
	 * @see br.pucrio.olis.data.hibernate.dao.GenericDAOHibernate#getEntityClass()
	 */
	@SuppressWarnings("unchecked")
	@Override
	public Class getEntityClass() {
		return ActivityType.class;
	}

}
