/*
 * Created on May 24, 2008
 */
package br.pucrio.olis.data.hibernate.dao;

import br.pucrio.olis.data.dao.AreaOfInterestDAO;
import br.pucrio.olis.domain.AreaOfInterest;

/**
 * <p>
 * This class is the hibernate implementation of the area of interest data
 * access object.
 * </p>
 * 
 * @author Ingrid Nunes
 * @version 1.0
 * 
 */
public class AreaOfInterestDAOHibernate extends
		GenericDAOHibernate<AreaOfInterest> implements AreaOfInterestDAO {

	/*
	 * (non-Javadoc)
	 * 
	 * @see br.pucrio.olis.data.hibernate.dao.GenericDAOHibernate#getEntityClass()
	 */
	@SuppressWarnings("unchecked")
	@Override
	public Class getEntityClass() {
		return AreaOfInterest.class;
	}

}
