/*
 * Created on May 5, 2008
 */
package br.pucrio.olis.data.hibernate.dao;

import br.pucrio.olis.data.dao.CountryDAO;
import br.pucrio.olis.domain.Country;

/**
 * <p>
 * This class is the hibernate implementation of the country data access object.
 * </p>
 * 
 * @author Ingrid Nunes
 * @version 1.0
 * 
 */
public class CountryDAOHibernate extends GenericDAOHibernate<Country> implements
		CountryDAO {

	/*
	 * (non-Javadoc)
	 * 
	 * @see br.pucrio.olis.data.hibernate.dao.GenericDAOHibernate#getEntityClass()
	 */
	@SuppressWarnings("unchecked")
	@Override
	public Class getEntityClass() {
		return Country.class;
	}

}
