/*
 * Created on Jun 21, 2008
 */
package br.pucrio.olis.domain;

import javax.persistence.Entity;
import javax.persistence.ManyToOne;

import org.hibernate.annotations.OnDelete;
import org.hibernate.annotations.OnDeleteAction;

/**
 * @author Ingrid Nunes
 * 
 */
@Entity
public class EventSuggestionNotification extends Notification {

	/**
	 * <p>
	 * UID generated.
	 * </p>
	 */
	private static final long serialVersionUID = 7783706342860391988L;

	private Event event;

	/**
	 * <p>
	 * Create a new instance of Notification.
	 * </p>
	 */
	public EventSuggestionNotification() {

	}

	@ManyToOne
	@OnDelete(action = OnDeleteAction.CASCADE)
	public Event getEvent() {
		return event;
	}

	public void setEvent(Event event) {
		this.event = event;
	}

}
