/*
 * Created on 20/06/2008
 */
package br.pucrio.olis.domain.weather;

import jade.content.Concept;

import java.io.Serializable;

import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

/**
 * <uv> <i>0</i> <t>Low</t> </uv>
 * 
 * @author ingridnunes
 * @version 1.0
 * 
 */
public class UV implements Serializable, Concept {

	private static final long serialVersionUID = -3369050199343214057L;

	private String description;
	private Integer index;

	public UV() {
	}

	public UV(Node node) {
		NodeList list = node.getChildNodes();
		for (int i = 0; i < list.getLength(); i++) {
			Node child = list.item(i);
			if (child.getNodeName().equals("i")) {
				try {
					this.index = Integer.parseInt(child.getTextContent());
				} catch (NumberFormatException e) {
					this.index = null;
				}
			} else if (child.getNodeName().equals("t")) {
				this.description = child.getTextContent();
			}
		}
	}

	public String getDescription() {
		return description;
	}

	public Integer getIndex() {
		return index;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public void setIndex(Integer index) {
		this.index = index;
	}

	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("index: ").append(index).append("\n");
		sb.append("description: ").append(description);
		return sb.toString();
	}

}
