/*
 * Created on 17/06/2008
 */
package br.pucrio.olis.ontology;

import jade.content.onto.Ontology;

/**
 * @author ingridnunes
 * @version 1.0
 * 
 */
public class OLISOntology extends Ontology {

	/**
	 * <p>
	 * UID generated.
	 * </p>
	 */
	private static final long serialVersionUID = 6113260660006024268L;

	public static final String ONTOLOGY_NAME = "OLIS";
	private static Ontology theInstance = new OLISOntology();

	/**
	 * This method grants access to the unique instance of the ontology.
	 * 
	 * @return An <code>Ontology</code> object, containing the concepts of the
	 *         ontology.
	 */
	public static Ontology getInstance() {
		return theInstance;
	}

	public OLISOntology() {
		super(ONTOLOGY_NAME, new Ontology[] { OLISBasicOntology.getInstance(),
				//OLISAcademicOntology.getInstance(),
				OLISTravelOntology.getInstance(),
				OLISWeatherOntology.getInstance(),
				OLISEventSchedulerOntology.getInstance(),
				OLISEventSuggestionOntology.getInstance() 
				}, new OLISIntrospector());
	}

}
