<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<html>
<head>

<s:head theme="simple" />

<script type="text/javascript">
function submitForm(action) {
	document.Calendar_open.action = action;
	document.Calendar_open.submit();
}
</script>

</head>

<s:set name="width" value="%{'78px'}" />

<s:if test="dayLabels.size < 7">
	<s:set name="width" value="%{'109px'}" />
</s:if>

<body>

<h1><s:text name="index.calendar" /></h1>

<s:actionerror />

<s:form action="Calendar_open" namespace="/calendar">

	<s:hidden name="month" />
	<s:hidden name="year" />

	<table>
		<tr>
			<td>
			<table border="1">
				<tr>
					<th colspan="<s:property value="dayLabels.size"/>" style="text-align: center;">
					<a
						href="javascript:submitForm('<s:url action="Calendar_previousMonth" includeParams='none'/>')">&lt;&lt;</a>&nbsp;&nbsp;&nbsp;&nbsp;
					<s:property value="monthLabel" />&nbsp;<s:property value="year" />
					&nbsp;&nbsp;&nbsp;&nbsp;<a
						href="javascript:submitForm('<s:url action="Calendar_nextMonth" includeParams='none'/>')">&gt;&gt;</a>
					</th>
				</tr>

				<tr>
					<s:iterator value="dayLabels" id="day">
						<th width="<s:property value="#width" />" style="text-align: center;"><s:property
							value="day" /></th>
					</s:iterator>
				</tr>

				<s:iterator value="days" id="week">
					<tr>
						<s:iterator value="week" id="day">
							<td>
							<table width="100%">
								<s:if test="#day.day == null">
									<tr>
										<td style="text-align: right">&nbsp;</td>
									</tr>
								</s:if>
								<s:else>
									<tr>
										<td style="text-align: right"><s:property value="#day.day" /></td>
									</tr>
									<s:iterator value="#day.events" id="event">
										<tr>
											<s:url id="url" action="CalendarEvent_input"
												namespace="/calendar">
												<s:param name="id" value="#event.id" />
											</s:url>
											<td style="text-align: right">
												<s:if test="#event.available">
													<i><s:a href="%{url}"><s:property value="#event.event.subject" /></s:a></i>
												</s:if> 
												<s:else>
													<s:a href="%{url}"><s:property value="#event.event.subject" /></s:a>
												</s:else>
											</td>
										</tr>
									</s:iterator>
								</s:else>
							</table>
							</td>
						</s:iterator>
					</tr>
				</s:iterator>

			</table>
			</td>
		</tr>
	</table>

</s:form>

</body>
</html>
