<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<html>
<head>

<s:head theme="xhtml" />

<script type="text/javascript">
var city_url =  '<s:url action="Event_city"/>';
</script>

</head>

<body>

<s:if test="task == 'Create'">
	<h1><s:text name="index.announce.event" /></h1>
</s:if>
<s:elseif test="eventDataManager.editable == false">
	<h1><s:text name="index.event" /></h1>
</s:elseif>
<s:else>
	<h1><s:text name="index.update.announced.event" /></h1>
</s:else>

<s:actionerror />

<s:form action="Event_save" namespace="/eventsannouncement">

	<s:token />
	<s:hidden name="task" />

	<s:include value="EventInput.jsp" />
	
	<s:if test="eventDataManager.eventPage != null">
		<s:include value="%{eventDataManager.eventPage}.jsp" />
	</s:if>

	<s:if test="eventDataManager.editable == true">
		<s:submit key="button.save" action="Event_save" />
	</s:if>
	
	<s:if test="eventDataManager.editable == true && task != 'Create'">
		<s:submit key="button.delete" action="Event_delete" />
	</s:if>

</s:form>

<s:if test="canImport">
	<input type="button" value="<s:text name="button.import.event" />" onclick="location.href='<s:url action="CalendarEvent_importEvent" namespace="/calendar"><s:param name="eventDataManager.eventId" value="eventDataManager.eventId" /></s:url>'">
</s:if>

</body>
</html>
