<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<script type="text/javascript">
function listCities(form) {
	form.action = city_url;
	form.submit();
}

function toogleTime() {
	var c = document.getElementById('eventDataManager.allDay').checked;
	document.getElementById('eventDataManager.startTime').disabled = c;
	document.getElementById('eventDataManager.endTime').disabled = c;
}
</script>

<s:set name="dateFormat" value="%{'dd/MM/yyyy'}" />
<s:set name="timeFormat" value="%{'HH:mm'}" />

<s:if test="#session.user != null">
	<s:set name="dateFormat" value="%{#session.user.dateFormat.format}" />
	<s:set name="timeFormat" value="%{#session.user.timeFormat.format}" />
</s:if>

<s:hidden name="eventDataManager.editable" />
<s:hidden name="eventDataManager.eventId" />

<s:if test="eventDataManager.editable == true">
	<s:textfield key="subject" name="eventDataManager.subject" />
	<s:textarea key="description" name="eventDataManager.description" />

	<s:textfield key="location" name="eventDataManager.location" />

	<s:select key="country" name="eventDataManager.country.code"
		listKey="code" listValue="name"
		headerValue="%{getText('message.select')}" headerKey="1"
		list="eventDataManager.countries" onchange="listCities(this.form);" />
	<s:select key="city" name="eventDataManager.city.id" listKey="id"
		listValue="name" headerValue="%{getText('message.select')}"
		headerKey="1" list="eventDataManager.cities" />
	<s:datetimepicker key="start" name="eventDataManager.start"
		displayFormat="%{#dateFormat}" />
	<s:datetimepicker key="end" name="eventDataManager.end"
		displayFormat="%{#dateFormat}" />
	<s:textfield key="startTime" name="eventDataManager.startTime" size="5" />
	<s:textfield key="endTime" name="eventDataManager.endTime" size="5" />
	<s:checkbox key="allDay" name="eventDataManager.allDay"
		onclick="toogleTime();" />
	<s:select key="frequency" name="eventDataManager.frequency"
		listValue="%{getText(getLabel())}" headerKey=""
		headerValue="%{getText('message.select')}"
		list="eventDataManager.frequencies" />

</s:if>
<s:else>

	<s:textfield key="subject" name="eventDataManager.subject"
		readonly="true" />
	<s:textarea key="description" name="eventDataManager.description"
		readonly="true" />

	<s:textfield key="location" name="eventDataManager.location"
		readonly="true" />

	<s:hidden name="eventDataManager.country.code" />
	<s:textfield key="country" name="eventDataManager.country.name"
		readonly="true" />

	<s:hidden name="eventDataManager.city.id" />
	<s:textfield key="city" name="eventDataManager.city.name"
		readonly="true" />

	<s:textfield key="start" name="eventDataManager.start" readonly="true" />
	<s:textfield key="end" name="eventDataManager.end" readonly="true" />
	<s:textfield key="startTime" name="eventDataManager.startTime" size="5"
		readonly="true" />
	<s:textfield key="endTime" name="eventDataManager.endTime" size="5"
		readonly="true" />

	<s:hidden name="eventDataManager.allDay" />
	<s:checkbox key="allDay" name="eventDataManager.allDay" disabled="true" />

	<s:hidden name="eventDataManager.frequency" />		
	<s:select key="frequency" name="eventDataManager.frequency"
		listValue="%{getText(getLabel())}" headerKey=""
		headerValue="%{getText('message.select')}"
		list="eventDataManager.frequencies" disabled="true" />

</s:else>


<script type="text/javascript">
toogleTime();
</script>
