<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<html>
<head>

<s:head theme="xhtml" />

<script type="text/javascript">
function deleteNotification(id) {
	document.getElementById('notification.id').value = id;
	document.Notifications_delete.submit();
}
</script>

</head>

<body>

<s:set name="dateFormat" value="%{'dd/MM/yyyy HH:mm'}" />
<s:if test="#session.user != null">
	<s:set name="dateFormat"
		value="%{#session.user.dateFormat.format + ' ' + #session.user.timeFormat.format}" />
</s:if>

<h1><s:text name="index.home" /></h1>

<s:actionerror />

<h2><s:text name="message.notifications" /></h2>

<s:form action="Notifications_delete" namespace="/">
	<s:token />
	<s:hidden name="task" />
	<s:hidden name="notification.id" />

	<s:if test="notifications != null && notifications.size > 0">
		<ul>
			<s:iterator value="notifications" id="notification" status="i">
				<li><s:include value="%{getNotificationPage(#notification)}" />
				<br>
				<s:text name="message.date.included" />: <s:date
					name="#notification.date" format="%{#dateFormat}" /> <s:a
					href="javascript:deleteNotification(%{#notification.id});">
					<s:text name="message.delete" />
				</s:a><br>&nbsp;</li>
			</s:iterator>
		</ul>
	</s:if>
	<s:else>
		<p><s:text name="message.no.notifications" /></p>
	</s:else>
</s:form>

</body>
</html>