<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<html>
<head>

<s:head theme="xhtml" />

<script type="text/javascript">
function listCities() {
	document.UserManagement_save.action = '<s:url action="UserManagement_city"/>';
	document.UserManagement_save.submit();
	
}

function updateServiceOptions() {
	var serviceSelect = document.getElementById('service');
	var url = serviceSelect.options[serviceSelect.selectedIndex].value;
	location.href = url;
}
</script>

</head>

<body>

<s:if test="task == 'Create'">
	<h1><s:text name="index.create.account" /></h1>
</s:if>
<s:else>
	<h1><s:text name="index.update.account" /></h1>
</s:else>

<s:actionerror />

<s:form action="UserManagement_save" namespace="/">
	<s:token />
	<s:hidden name="user.id" />
	<s:hidden name="task" />
	<s:if test="task == 'Create'">
		<s:textfield key="user.username" />
	</s:if>
	<s:else>
		<s:label key="user.username" />
		<s:hidden name="user.username" />
	</s:else>

	<s:password key="user.password" showPassword="true" />

	<s:textfield key="user.firstName" />
	<s:textfield key="user.lastName" />
	<s:textfield key="user.email" />
	<s:datetimepicker key="dateOfBirth" name="user.dateOfBirth"
		displayFormat="MM/dd/yyyy" />

	<s:select key="country" name="country.code" listKey="code"
		listValue="name" headerValue="%{getText('message.select')}"
		headerKey="1" list="countries" onchange="listCities();" />

	<s:select key="city" name="user.city.id" listKey="id" listValue="name"
		headerValue="%{getText('message.select')}" headerKey="1" list="cities" />

	<s:submit key="button.save" action="UserManagement_save" />

</s:form>

<s:if test="task == 'Edit'">

	<input type="button" value="<s:text name="message.advanced.options" />"
		onclick="location.href='<s:url action="AdvancedOptions_input" namespace="/" />'">
		
	<s:if
		test="#session.user.services != null && #session.user.services.size > 0">
		<br>
		<h2><s:text name="message.services" /></h2>
		<select name="service">
			<s:iterator id="service" value="#session.user.services">
				<option
					value="<s:url action="Options_input" namespace="%{'/' + #service.serviceType.serviceNameSpace}" />"><s:text name="%{#service.serviceType.serviceLabel}" /></option>
			</s:iterator>
		</select>
		<input type="button" value="<s:text name="message.update" />"
			onclick="updateServiceOptions();">
	</s:if>
	
	<s:if test="#session.user.preferences != null">
		<br>
		<h2><s:text name="message.preferences" /></h2>
		<input type="button" value="<s:text name="message.update" />"
			onclick="location.href='<s:url action="UserPreferences_input" namespace="/preferences" />'">
	</s:if>
	
</s:if>

</body>
</html>
