/*
 * Created on Jun 9, 2008
 */
package br.pucrio.olis.agent.agentslayerfacade;

/**
 * @author Ingrid Nunes
 * @version 1.0
 * 
 */
public class AgentInvocationException extends Exception {

	/**
	 * <p>
	 * UID generated.
	 * </p>
	 */
	private static final long serialVersionUID = 2212923267220462976L;

	/**
	 * <p>
	 * Create a new instance of AgentInvocationException.
	 * </p>
	 */
	public AgentInvocationException() {

	}

	/**
	 * <p>
	 * Create a new instance of AgentInvocationException.
	 * </p>
	 * 
	 * @param message
	 *            the message to show.
	 */
	public AgentInvocationException(final String message) {
		super(message);
	}

	/**
	 * <p>
	 * Create a new instance of AgentInvocationException.
	 * </p>
	 * 
	 * @param message
	 *            the message to show.
	 * @param cause
	 *            the exception that caused this exception.
	 */
	public AgentInvocationException(final String message, final Throwable cause) {
		super(message, cause);
	}

	/**
	 * <p>
	 * Create a new instance of AgentInvocationException.
	 * </p>
	 * 
	 * @param cause
	 *            the exception that caused this exception.
	 */
	public AgentInvocationException(final Throwable cause) {
		super(cause);
	}

}
