/*
 * Created on 16/06/2008
 */
package br.pucrio.olis.agent.eventsuggestion;

import jadex.adapter.fipa.AgentIdentifier;
import jadex.adapter.fipa.SFipa;
import jadex.runtime.IMessageEvent;
import jadex.runtime.Plan;
import br.pucrio.olis.domain.Event;
import br.pucrio.olis.domain.User;

/**
 * @author ingridnunes
 * @version 1.0
 * 
 */
public class CheckInterestPlan extends Plan {

	/**
	 * <p>
	 * UID generated.
	 * </p>
	 */
	private static final long serialVersionUID = -3253801249098591179L;

	/*
	 * (non-Javadoc)
	 * 
	 * @see jadex.runtime.Plan#body()
	 */
	@Override
	public void body() {
		User user = (User) getParameter("user").getValue();
		Event event = (Event) getParameter("event").getValue();

		IMessageEvent msg = createMessageEvent("query_event_interest");
		msg.getParameterSet(SFipa.RECEIVERS).addValue(
				new AgentIdentifier("user_" + user.getId(), true));
		EventInterestQuery eventInterestQuery = new EventInterestQuery();
		eventInterestQuery.setEvent(event);
		msg.setContent(eventInterestQuery);
		sendMessage(msg);
	}

}
