/*
 * Created on Jun 19, 2008
 */
package br.pucrio.olis.agent.eventsuggestion.academicevent;

import jadex.runtime.Plan;
import br.pucrio.olis.domain.AcademicEvent;
import br.pucrio.olis.domain.AcademicPreferences;

/**
 * @author Ingrid Nunes
 * 
 */
public class AcademicEventTypePlan extends Plan {

	/**
	 * <p>
	 * UID generated.
	 * </p>
	 */
	private static final long serialVersionUID = -8862682587374183028L;

	/*
	 * (non-Javadoc)
	 * 
	 * @see jadex.runtime.Plan#body()
	 */
	@Override
	public void body() {
		AcademicPreferences preferences = (AcademicPreferences) getBeliefbase()
				.getBelief("preferences").getFact();
		AcademicEvent event = (AcademicEvent) getParameter("event").getValue();
		getParameter("result").setValue(1.0);

		if (preferences.getEventTypes().isEmpty()) {
			getParameter("result").setValue(0.5);
		} else if (!preferences.getEventTypes().contains(event.getEventType())) {
			getParameter("result").setValue(0.0);
		}

	}

}
