/*
 * Created on Jun 21, 2008
 */
package br.pucrio.olis.agent.eventsuggestion.travelevent;

import jadex.runtime.Plan;
import br.pucrio.olis.domain.TravelEvent;
import br.pucrio.olis.domain.TravelPreferences;

/**
 * @author Ingrid Nunes
 * 
 */
public class PlaceTypePlan extends Plan {

	/**
	 * <p>
	 * UID generated.
	 * </p>
	 */
	private static final long serialVersionUID = -8862682587374183028L;

	/*
	 * (non-Javadoc)
	 * 
	 * @see jadex.runtime.Plan#body()
	 */
	@Override
	public void body() {
		TravelPreferences preferences = (TravelPreferences) getBeliefbase()
				.getBelief("preferences").getFact();
		TravelEvent event = (TravelEvent) getParameter("event").getValue();
		getParameter("result").setValue(1.0);

		if (preferences.getPlaceTypes().isEmpty()) {
			getParameter("result").setValue(0.5);
		} else if (!preferences.getPlaceTypes().contains(event.getPlaceType())) {
			getParameter("result").setValue(0.0);
		}

	}

}
