/*
 * Created on Jun 21, 2008
 */
package br.pucrio.olis.agent.eventsuggestion.travelevent;


/**
 * @author Ingrid Nunes
 * 
 */
public class Rain {

	public enum Classification {
		ALMOST_NO, ALMOST_YES, MAYBE, PROBABLE, UNPROBABLE
	}

	private Double chanceOfPrecipitation;

	public Rain(Double speed) {
		this.chanceOfPrecipitation = speed;
	}

	public Double getChanceOfPrecipitation() {
		return chanceOfPrecipitation;
	}

	public Classification getClassification() {
		if (chanceOfPrecipitation < 21) {
			return Classification.ALMOST_NO;
		} else if (chanceOfPrecipitation < 41) {
			return Classification.UNPROBABLE;
		} else if (chanceOfPrecipitation < 61) {
			return Classification.MAYBE;
		} else if (chanceOfPrecipitation < 81) {
			return Classification.PROBABLE;
		} else {
			return Classification.ALMOST_YES;
		}
	}

}
