/*
 * Created on Jun 21, 2008
 */
package br.pucrio.olis.agent.eventsuggestion.travelevent;

/**
 * @author Ingrid Nunes
 * 
 */
public class Wind {

	public enum Classification {
		BREEZE, CALM, GALE, HURRICANE, STORM
	}

	private Double speed;

	public Wind(Double speed) {
		this.speed = speed;
	}

	public Classification getClassification() {
		if (speed < 6) {
			return Classification.CALM;
		} else if (speed < 62) {
			return Classification.BREEZE;
		} else if (speed < 103) {
			return Classification.GALE;
		} else if (speed < 118) {
			return Classification.STORM;
		} else {
			return Classification.HURRICANE;
		}
	}

	public Double getSpeed() {
		return speed;
	}

}
