/*
 * Created on Jun 21, 2008
 */
package br.pucrio.olis.agent.weather;

import jade.content.Predicate;

import java.io.Serializable;
import java.util.Date;

import br.pucrio.olis.domain.City;
import br.pucrio.olis.domain.DegreeUnit;

/**
 * @author Ingrid Nunes
 * 
 */
public class ForecastRequest implements Serializable, Predicate {

	private static final long serialVersionUID = -6237472539025921604L;

	private City city;
	private Date date;
	private DegreeUnit degreeUnit;

	public ForecastRequest() {
	}

	public ForecastRequest(City city, Date date) {
		this.city = city;
		this.date = date;
		this.degreeUnit = DegreeUnit.CELSIUS;
	}

	public City getCity() {
		return city;
	}

	public Date getDate() {
		return date;
	}

	public DegreeUnit getDegreeUnit() {
		return degreeUnit;
	}

	public void setCity(City city) {
		this.city = city;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public void setDegreeUnit(DegreeUnit degreeUnit) {
		this.degreeUnit = degreeUnit;
	}

}
