/*
 * Created on Jun 19, 2008
 */
package br.pucrio.olis.agent.weather.service;

import java.io.Serializable;

import org.restlet.data.Reference;

/**
 * @author Ingrid Nunes
 * 
 */
public class SearchRequest implements Serializable {

	public static final String SEARCH_URL = "http://xoap.weather.com/search/search";
	private static final long serialVersionUID = -403718123478585172L;

	private String where;

	public SearchRequest() {
	}

	public SearchRequest(String where) {
		this.where = where;
	}

	public String getURL() {
		StringBuffer sb = new StringBuffer();
		sb.append(SEARCH_URL);
		sb.append("?where=").append(Reference.encode(where));
		return sb.toString();
	}

	public String getWhere() {
		return where;
	}

	public void setWhere(String where) {
		this.where = where;
	}

}
