/*
 * Created on May 25, 2008
 */
package br.pucrio.olis.data.hibernate.dao;

import br.pucrio.olis.data.dao.PlaceTypeDAO;
import br.pucrio.olis.domain.PlaceType;

/**
 * <p>
 * This class is the hibernate implementation of the place type data access
 * object.
 * </p>
 * 
 * @author Ingrid Nunes
 * @version 1.0
 * 
 */
public class PlaceTypeDAOHibernate extends GenericDAOHibernate<PlaceType>
		implements PlaceTypeDAO {

	/*
	 * (non-Javadoc)
	 * 
	 * @see br.pucrio.olis.data.hibernate.dao.GenericDAOHibernate#getEntityClass()
	 */
	@SuppressWarnings("unchecked")
	@Override
	public Class getEntityClass() {
		return PlaceType.class;
	}

}
