/*
 * Created on May 3, 2008
 */
package br.pucrio.olis.domain;

/**
 * <p>
 * This enumeration represent the different types that an academic event can be.
 * </p>
 * 
 * @author Ingrid Nunes
 * @version 1.0
 * 
 */
public enum AcademicEventType {

	CLASS("academic.event.type.class"), CONFERENCE(
			"academic.event.type.conference"), CONGRESS(
			"academic.event.type.congress"), LECTURE(
			"academic.event.type.lecture"), SEMINAR(
			"academic.event.type.seminar"), SYMPOSIUM(
			"academic.event.type.symposium"), WORKSHOP(
			"academic.event.type.workshop");

	/**
	 * The String represents the label of the frequency.
	 */
	private String label;

	/**
	 * <p>
	 * Create an instance of AcademicEventType.
	 * </p>
	 */
	private AcademicEventType(String label) {
		this.label = label;
	}

	public String getLabel() {
		return label;
	}

}
