/*
 * Created on May 2, 2008
 */
package br.pucrio.olis.domain;

/**
 * <p>
 * This enumeration represents the possible formats that the date can be
 * displayed.
 * </p>
 * 
 * @author Ingrid Nunes
 * @version 1.0
 * 
 */
public enum DateFormat {

	DAY_MONTH_YEAR("dd/MM/yyyy"), MONTH_DAY_YEAR("MM/dd/yyyy"), YEAR_MONTH_DAY(
			"yyyy/MM/dd");

	/**
	 * The String represents the format of the date.
	 */
	private String format;

	private DateFormat(String format) {
		this.format = format;
	}

	public String getFormat() {
		return format;
	}

}
