/*
 * Created on May 3, 2008
 */
package br.pucrio.olis.domain;

/**
 * <p>
 * This enumeration represents the possible formats that the time can be
 * displayed.
 * </p>
 * 
 * @author Ingrid Nunes
 * @version 1.0
 * 
 */
public enum TimeFormat {

	HOURS_12("hh:mm a"), HOURS_24("HH:mm");

	/**
	 * The String represents the format of the time.
	 */
	private String format;

	private TimeFormat(String format) {
		this.format = format;
	}

	public String getFormat() {
		return format;
	}

}
