/*
 * Created on Jun 22, 2008
 */
package br.pucrio.olis.ontology;

/**
 * @author Ingrid Nunes
 *
 */
public interface OLISBasicVocabulary {
	
	/** Concepts **/
	
	public static final String OBJECT = "object";
	
	public static final String DATEFORMAT = "DateFormat";
	public static final String FREQUENCY = "Frequency";
	public static final String BUSINESSOPERATIONTYPE = "BusinessOperationType";
	public static final String TIMEFORMAT = "TimeFormat";
	
	public static final String CALENDAREVENT = "CalendarEvent";
	public static final String CALENDAREVENT_AVAILABLE = "available";
	public static final String CALENDAREVENT_EVENT = "event";
	public static final String CALENDAREVENT_ID = "id";
	public static final String CALENDAREVENT_PARTICIPANTS = "participants";
	
	public static final String CALENDARUSERSERVICE = "CalendarUserService";
	public static final String CALENDARUSERSERVICE_EVENTS = "events";
	public static final String CALENDARUSERSERVICE_REMINDEVENT = "remindEvents";
	public static final String CALENDARUSERSERVICE_REMINDMINUTESBEFORE = "remindMinutesBefore";
	public static final String CALENDARUSERSERVICE_SHOWWEEKENDS = "showWeekends";
	
	public static final String CITY = "City";
	public static final String CITY_COUNTRY = "country";
	public static final String CITY_ID = "id";
	public static final String CITY_NAME = "name";
	
	public static final String COUNTRY = "Country";
	public static final String COUNTRY_CITIES = "cities";
	public static final String COUNTRY_CODE = "code";
	public static final String COUNTRY_NAME = "name";
	
	public static final String EVENT = "Event";
	public static final String EVENT_ALLDAY = "allDay";
	public static final String EVENT_CITY = "city";
	public static final String EVENT_DESCRIPTION = "description";
	public static final String EVENT_END = "end";
	public static final String EVENT_ENDTIME = "endTime";
	public static final String EVENT_EVENTSBOARD = "eventsBoard";
	public static final String EVENT_FREQUENCY = "frequency";
	public static final String EVENT_ID = "id";
	public static final String EVENT_LOCATION = "location";
	public static final String EVENT_OWNER = "owner";
	public static final String EVENT_START = "start";
	public static final String EVENT_STARTTIME = "startTime";
	public static final String EVENT_SUBJECT = "subject";
	
	public static final String EVENTSANNOUNCEMENTUSERSERVICE = "EventsAnnouncementUserService";
	public static final String EVENTSANNOUNCEMENTUSERSERVICE_SUGGESTEVENTS = "suggestEvents";
	public static final String EVENTSANNOUNCEMENTUSERSERVICE_WORKTIMEBEGIN = "workTimeBegin";
	public static final String EVENTSANNOUNCEMENTUSERSERVICE_WORKTIMEEND = "workTimeEnd";
	
	public static final String EVENTSBOARD = "EventsBoard";
	public static final String EVENTSBOARD_EVENTS = "events";
	public static final String EVENTSBOARD_ID = "id";
	
	public static final String NOTIFICATION = "Notification";
	public static final String NOTIFICATION_ID = "id";
	public static final String NOTIFICATION_DATE = "date";
	
	public static final String USER = "User";
	public static final String USER_CITY = "city";
	public static final String USER_DATEFORMAT = "dateFormat";
	public static final String USER_DATEOFBIRTH = "dateOfBirth";
	public static final String USER_EMAIL = "email";
	public static final String USER_FIRSTNAME = "firstName";
	public static final String USER_ID = "id";
	public static final String USER_LASTNAME = "lastName";
	public static final String USER_NOTIFICATIONS = "notifications";
	public static final String USER_PASSWORD = "password";
	public static final String USER_PREFERENCES = "preferences";
	public static final String USER_SERVICES = "services";
	public static final String USER_TIMEFORMAT = "timeFormat";
	public static final String USER_USERNAME = "username";
	
	public static final String USERPREFERENCES = "UserPreferences";
	public static final String USERPREFERENCES_ID = "id";
	public static final String USERPREFERENCES_USER = "user";
	
	public static final String USERSERVICE = "UserService";
	public static final String USERSERVICE_ID = "id";
	public static final String USERSERVICE_USER = "user";
	
	/** Predicates **/

	public static final String BUSINESSOPERATION = "BusinessOperation";
	public static final String BUSINESSOPERATION_TARGETCLASS = "targetClass";
	public static final String BUSINESSOPERATION_TARGETID = "targetId";
	public static final String BUSINESSOPERATION_PARAM = "param";
	public static final String BUSINESSOPERATION_OLDVALUE = "oldValue";
	public static final String BUSINESSOPERATION_OPERATIONTYPE = "operationType";

}
