/*
 * Created on Jun 22, 2008
 */
package br.pucrio.olis.ontology;

/**
 * @author Ingrid Nunes
 *
 */
public interface OLISWeatherVocabulary {
	
	/** Concepts **/
	
	public static final String DEGREEUNIT = "DegreeUnit";
	public static final String DAYPARTTYPE = "DayPartType";
	
	public static final String WEATHERUSERSERVICE = "WeatherUserService";
	public static final String WEATHERUSERSERVICE_DEFAULTCITY = "defaultCity";
	public static final String WEATHERUSERSERVICE_DEGREEUNIT = "degreeUnit";
	
	public static final String BAROMETRIC = "Barometric";
	public static final String BAROMETRIC_PRESSURE = "pressure";
	public static final String BAROMETRIC_TREND = "trend";
	
	public static final String CURRENTCONDITIONS = "CurrentConditions";
	public static final String CURRENTCONDITIONS_BAROMETRIC = "barometric";
	public static final String CURRENTCONDITIONS_DATEOFOBSERVATION = "dateOfObservation";
	public static final String CURRENTCONDITIONS_DESCRIPTION = "description";
	public static final String CURRENTCONDITIONS_DEWPOINT = "dewPoint";
	public static final String CURRENTCONDITIONS_FEELLIKETEMPERATURE = "feelLikeTemperature";
	public static final String CURRENTCONDITIONS_HUMIDITY = "humidity";
	public static final String CURRENTCONDITIONS_ICON = "icon";
	public static final String CURRENTCONDITIONS_MOON = "moon";
	public static final String CURRENTCONDITIONS_OBSERVATIONSTATION = "observationStation";
	public static final String CURRENTCONDITIONS_TEMPERATURE = "temperature";
	public static final String CURRENTCONDITIONS_UV = "uv";
	public static final String CURRENTCONDITIONS_VISIBILITY = "visibility";
	public static final String CURRENTCONDITIONS_WIND = "wind";
	
	public static final String DAYFORECAST = "DayForecast";
	public static final String DAYFORECAST_DAY = "day";
	public static final String DAYFORECAST_DAYNUMBER = "dayNumber";
	public static final String DAYFORECAST_DAYOFMONTH = "dayOfMonth";
	public static final String DAYFORECAST_HIGHTEMPERATURE = "highTemperature";
	public static final String DAYFORECAST_LOWTEMPERATURE = "lowTemperature";
	public static final String DAYFORECAST_NIGHT = "night";
	public static final String DAYFORECAST_SUNRISE = "sunrise";
	public static final String DAYFORECAST_SUNSET = "sunset";
	
	public static final String DAYPART = "DayPart";
	public static final String DAYPART_CHANCEOFPRECIPITATION = "chanceOfPrecipitation";
	public static final String DAYPART_DESCRIPTION = "description";
	public static final String DAYPART_DESCRIPTIONSHORT = "descriptionShort";
	public static final String DAYPART_HUMIDITY = "humidity";
	public static final String DAYPART_ICON = "icon";
	public static final String DAYPART_TYPE = "type";
	public static final String DAYPART_WIND = "wind";
	
	public static final String HEAD = "Head";
	public static final String HEAD_DEGREEUNIT = "degreeUnit";
	public static final String HEAD_DISTANCEUNIT = "distanceUnit";
	public static final String HEAD_FORM = "form";
	public static final String HEAD_LOCALE = "locale";
	public static final String HEAD_PRESSUREUNIT = "pressureUnit";
	public static final String HEAD_RAINUNIT = "rainUnit";
	public static final String HEAD_SPEEDUNIT = "speedUnit";
	
	public static final String LOCATION = "Location";
	public static final String LOCATION_ID = "id";
	public static final String LOCATION_LATITUDE = "latitude";
	public static final String LOCATION_LONGITUDE = "longitude";
	public static final String LOCATION_NAME = "name";
	public static final String LOCATION_SUNRISE = "sunrise";
	public static final String LOCATION_SUNSET = "sunset";
	public static final String LOCATION_TIME = "time";
	public static final String LOCATION_ZONE = "zone";
	
	public static final String LOCATIONSIMPLE = "LocationSimple";
	public static final String LOCATIONSIMPLE_ID = "id";
	public static final String LOCATIONSIMPLE_TYPE = "type";
	public static final String LOCATIONSIMPLE_NAME = "name";
	
	public static final String MOON = "Moon";
	public static final String MOON_DESCRIPTION = "description";
	public static final String MOON_ICON = "icon";
	
	public static final String UV = "UV";
	public static final String UV_DESCRIPTION = "description";
	public static final String UV_INDEX = "index";
	
	public static final String WEATHER = "Weather";
	public static final String WEATHER_CURRENTCONDITIONS = "currentConditions";
	public static final String WEATHER_DAYFORCASTLIST = "dayForecastList";
	public static final String WEATHER_HEAD = "head";
	public static final String WEATHER_LOCATION = "location";
	
	public static final String WIND = "Wind";
	public static final String WIND_DIRECTION = "direction";
	public static final String WIND_DIRECTIONPHRASE = "directionPhrase";
	public static final String WIND_GUST = "gust";
	public static final String WIND_SPEED = "speed";
	
	/** Predicates **/
	
	public static final String WEATHERREQUEST = "WeatherRequest";
	public static final String WEATHERREQUEST_CITY = "city";
	public static final String WEATHERREQUEST_CURRENTCONDITIONS = "currentConditions";
	public static final String WEATHERREQUEST_DAYFORECASTS = "dayForecasts";
	public static final String WEATHERREQUEST_DEGREEUNIT = "degreeUnit";
	
	public static final String WEATHERRESPONSE = "WeatherResponse";
	public static final String WEATHERRESPONSE_WEATHER = "weather";
	
	public static final String FORECASTREQUEST = "ForecastRequest";
	public static final String FORECASTREQUEST_CITY = "city";
	public static final String FORECASTREQUEST_DATE = "date";
	public static final String FORECASTREQUEST_DEGREEUNIT = "degreeUnit";
	
	public static final String FORECASTRESPONSE = "ForecastResponse";
	public static final String FORECASTRESPONSE_DAYFORCAST = "dayForecast";
	public static final String FORECASTRESPONSE_HEAD = "head";
	public static final String FORECASTRESPONSE_LOCATION = "location";

}
