/*
 * Created on Apr 26, 2008
 */
package br.pucrio.olis.web.support;

import br.pucrio.olis.web.OlisActionSupport;

/**
 * <p>
 * This class is the action that performs the logout of the user in the system.
 * </p>
 * 
 * @author Ingrid Nunes
 * @version 1.0
 * 
 */
public class LogoutAction extends OlisActionSupport {

	/**
	 * <p>
	 * UID generated.
	 * </p>
	 */
	private static final long serialVersionUID = -357973323219652209L;

	/**
	 * <p>
	 * Perform the user logout. Clean the user session.
	 * </p>
	 */
	public String execute() {
		setUser(null);
		return SUCCESS;
	}

}
